## org.h2.command.dml
Class TransactionCommand

    java.lang.Object
      org.h2.command.Prepared
          org.h2.command.dml.TransactionCommand

    public class TransactionCommand

extends Prepared

Represents a transactional statement.

Field Summary
`static int` `AUTOCOMMIT_FALSE` The type of a SET AUTOCOMMIT FALSE statement.
`static int` `AUTOCOMMIT_TRUE` The type of a SET AUTOCOMMIT TRUE statement.
`static int` `BEGIN` The type of a BEGIN {WORK|TRANSACTION} statement.
`static int` `CHECKPOINT` The type of a CHECKPOINT statement.
`static int` `CHECKPOINT_SYNC` The type of a CHECKPOINT SYNC statement.
`static int` `COMMIT` The type of a COMMIT statement.
`static int` `COMMIT_TRANSACTION` The type of a COMMIT TRANSACTION statement.
`static int` `PREPARE_COMMIT` The type of a PREPARE COMMIT statement.
`static int` `ROLLBACK` The type of a ROLLBACK statement.
`static int` `ROLLBACK_TO_SAVEPOINT` The type of a ROLLBACK TO SAVEPOINT statement.
`static int` `ROLLBACK_TRANSACTION` The type of a ROLLBACK TRANSACTION statement.
`static int` `SAVEPOINT` The type of a SAVEPOINT statement.
`static int` `SHUTDOWN` The type of a SHUTDOWN statement.
`static int` `SHUTDOWN_COMPACT` The type of a SHUTDOWN COMPACT statement.
`static int` `SHUTDOWN_IMMEDIATELY` The type of a SHUTDOWN IMMEDIATELY statement.

Fields inherited from class org.h2.command.Prepared
`headPos, parameters, prepareAlways, session, sqlStatement`

Constructor Summary
`TransactionCommand(Session session, int type)`

Method Summary
`boolean` `isTransactional()` Check if this command is transactional.
`boolean` `needRecompile()` Check if the statement needs to be re-compiled.
`ResultInterface` `queryMeta()` Get an empty result set containing the meta data.
`void` `setSavepointName(java.lang.String name)`
`void` `setTransactionName(java.lang.String string)`
`int` `update()` Execute the statement.

Methods inherited from class org.h2.command.Prepared
`checkCanceled, checkParameters, getCurrentObjectId, getCurrentRowNumber, getObjectId, getParameters, getPlanSQL, getSQL, getSQL, getSQL, isQuery, isReadOnly, prepare, query, setCommand, setCurrentRowNumber, setHeadPos, setObjectId, setParameterList, setPrepareAlways, setRow, setSession, setSQL, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AUTOCOMMIT_TRUE

    public static final int AUTOCOMMIT_TRUE

  The type of a SET AUTOCOMMIT TRUE statement.

  See Also:
    Constant Field Values

### AUTOCOMMIT_FALSE

    public static final int AUTOCOMMIT_FALSE

  The type of a SET AUTOCOMMIT FALSE statement.

  See Also:
    Constant Field Values

### COMMIT

    public static final int COMMIT

  The type of a COMMIT statement.

  See Also:
    Constant Field Values

### ROLLBACK

    public static final int ROLLBACK

  The type of a ROLLBACK statement.

  See Also:
    Constant Field Values

### CHECKPOINT

    public static final int CHECKPOINT

  The type of a CHECKPOINT statement.

  See Also:
    Constant Field Values

### SAVEPOINT

    public static final int SAVEPOINT

  The type of a SAVEPOINT statement.

  See Also:
    Constant Field Values

### ROLLBACK_TO_SAVEPOINT

    public static final int ROLLBACK_TO_SAVEPOINT

  The type of a ROLLBACK TO SAVEPOINT statement.

  See Also:
    Constant Field Values

### CHECKPOINT_SYNC

    public static final int CHECKPOINT_SYNC

  The type of a CHECKPOINT SYNC statement.

  See Also:
    Constant Field Values

### PREPARE_COMMIT

    public static final int PREPARE_COMMIT

  The type of a PREPARE COMMIT statement.

  See Also:
    Constant Field Values

### COMMIT_TRANSACTION

    public static final int COMMIT_TRANSACTION

  The type of a COMMIT TRANSACTION statement.

  See Also:
    Constant Field Values

### ROLLBACK_TRANSACTION

    public static final int ROLLBACK_TRANSACTION

  The type of a ROLLBACK TRANSACTION statement.

  See Also:
    Constant Field Values

### SHUTDOWN

    public static final int SHUTDOWN

  The type of a SHUTDOWN statement.

  See Also:
    Constant Field Values

### SHUTDOWN_IMMEDIATELY

    public static final int SHUTDOWN_IMMEDIATELY

  The type of a SHUTDOWN IMMEDIATELY statement.

  See Also:
    Constant Field Values

### SHUTDOWN_COMPACT

    public static final int SHUTDOWN_COMPACT

  The type of a SHUTDOWN COMPACT statement.

  See Also:
    Constant Field Values

### BEGIN

    public static final int BEGIN

  The type of a BEGIN {WORK|TRANSACTION} statement.

  See Also:
    Constant Field Values

Constructor Detail

### TransactionCommand

    public TransactionCommand(Session session,
                              int type)

Method Detail

### setSavepointName

    public void setSavepointName(java.lang.String name)

### update

    public int update()
               throws java.sql.SQLException

  Description copied from class: `Prepared`
  Execute the statement.

  Overrides:
    `update` in class `Prepared`
  Returns:
    the update count
  Throws:
    `java.sql.SQLException` - if it is a query

### isTransactional

    public boolean isTransactional()

  Description copied from class: `Prepared`
  Check if this command is transactional. If it is not, then it forces the current transaction to commit.

  Specified by:
    `isTransactional` in class `Prepared`
  Returns:
    true if it is

### needRecompile

    public boolean needRecompile()

  Description copied from class: `Prepared`
  Check if the statement needs to be re-compiled.

  Overrides:
    `needRecompile` in class `Prepared`
  Returns:
    true if it must

### setTransactionName

    public void setTransactionName(java.lang.String string)

### queryMeta

    public ResultInterface queryMeta()

  Description copied from class: `Prepared`
  Get an empty result set containing the meta data.

  Specified by:
    `queryMeta` in class `Prepared`
  Returns:
    the result set